=== src/config/CMakeLists.txt ===
target_sources(
  flameshot
  PRIVATE buttonlistview.cpp
          clickablelabel.cpp
          configwindow.cpp
          extendedslider.cpp
          filenameeditor.cpp
          geneneralconf.cpp
          strftimechooserwidget.cpp
          uicoloreditor.cpp
          visualseditor.cpp)
