## flameshot 0.5.1

=== debian/changelog ===
flameshot (0.5.1-2) unstable; urgency=medium

  * Backport upstream patch to fix cmdline parsing.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 28 Feb 2018 22:03:16 +0800

flameshot (0.5.1-1) unstable; urgency=medium

  * New upstream stable release.
  * d/patches: Add patch to specify application version.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 24 Feb 2018 19:49:15 +0800

flameshot (0.5.0+git20180222-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/watch: Fix grammar error.
  * d/control: Fix Vcs links.
  * d/rules: Fix lintian error for debian-rules-is-dh_make-template.
  * d/patches: Refresh patches.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 24 Feb 2018 09:45:05 +0800

flameshot (0.5.0+git20180114-1) unstable; urgency=medium

  * Initial release. (Closes: #886409)

 -- Boyuan Yang <073plan@gmail.com>  Mon, 15 Jan 2018 19:50:38 +0800
