=== debian/control ===
Source: flameshot
Section: graphics
Priority: optional
Maintainer: Boyuan Yang <073plan@gmail.com>
Build-Depends:
 debhelper (>= 11),
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 4.1.3
Homepage: https://github.com/lupoDharkael/flameshot
Vcs-Browser: https://salsa.debian.org/debian/flameshot
Vcs-Git: https://salsa.debian.org/debian/flameshot.git

Package: flameshot
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ca-certificates,
 openssl,
Description: Powerful yet simple-to-use screenshot software
 Flameshot is a powerful yet simple-to-use screenshot software.
 Notable features include customizable appearance, in-app screenshot editing,
 D-Bus interface, experimental GNOME/KDE Wayland support, integration with
 Imgur and support for both GUI and CLI interface.
