## flameshot 0.6.0

=== debian/changelog ===
flameshot (0.6.0-9) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2019-01-30.
  * debian/control:
    + Build-depend on debhelper-compat (= 12).
    + R³: Use Rules-Requires-Root: no.
  * debian/copyright: Update CC0-1.0 license for the metadata file.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Feb 2019 10:37:44 -0500

flameshot (0.6.0-8) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2018-12-29.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Dec 2018 22:42:07 +0800

flameshot (0.6.0-7) unstable; urgency=medium

  * debian/flameshot.1: Fix typo in man page. (Closes: #911872)
  * debian/patches: Backport upstream patch till 2018-11-05.

 -- Boyuan Yang <byang@debian.org>  Thu, 08 Nov 2018 19:59:31 -0500

flameshot (0.6.0-6) unstable; urgency=medium

  * Rebuild against Qt 5.11.2.
  * debian/patches: Backport upstream patch till 2018-10-23.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Oct 2018 12:58:12 -0400

flameshot (0.6.0-5) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2018-10-05.
  * debian/flameshot.1: Refresh man page.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Oct 2018 10:26:01 -0400

flameshot (0.6.0-4) unstable; urgency=medium

  * debian/patches: Backport upstream patch to fix pin tool position.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Sep 2018 18:57:05 -0400

flameshot (0.6.0-3) unstable; urgency=medium

  * Rebuild against new Qt 5.11.
  * debian/control: Update my maintainer email address and use the
    @debian.org one.
  * debian/patches: Backport upstream bugfix till 20180913.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Sep 2018 21:11:02 -0400

flameshot (0.6.0-2) unstable; urgency=medium

  * Backport upstream fixes till 2018-08-20.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 26 Aug 2018 21:53:23 -0400

flameshot (0.6.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 17 Aug 2018 08:31:10 -0400

flameshot (0.5.1+git201800812-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fix several AppStream appdata errors and warnings.
    + Fix locale detection.
    + Properly install icons.
  * debian/patches: Drop backported patches.
  * debian/copyright: Refresh copyright information.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 12 Aug 2018 07:43:59 -0400

flameshot (0.5.1+git201800811-1) unstable; urgency=medium

  * New upstream snapshot.
    + Use SVG images globally.
    + More fixes to HiDPI support.
  * debian/control: Bump Standards-Version to 4.2.0 (no changes needed).
  * debian/patches:
    + Refresh patches and drop backported patches.
    + Backport a proposed fix for locale detection.
    + Add a patch to canonicalize icon installation path.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 11 Aug 2018 21:32:48 -0400

flameshot (0.5.1+git20180708-2) unstable; urgency=medium

  * Rebuild against gcc 8.
  * New upstream snapshot based on 20180722 upstream codebase.
    + Fixes image grabbing on fractional-scaled desktop environments.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 22 Jul 2018 21:53:04 +0800

flameshot (0.5.1+git20180708-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 08 Jul 2018 08:21:39 +0800

flameshot (0.5.1+git20180601-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add text configuration function.
    - Update translations.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 02 Jun 2018 21:39:03 +0800

flameshot (0.5.1+git20180506-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add initial support to text tool.
    - Improve image pinning tool.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 06 May 2018 20:25:43 +0800

flameshot (0.5.1+git20180419-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add initial support for image pinning tool.
    - Add ability to take screenshot from tray menu.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 22:57:22 +0800

flameshot (0.5.1+git20180411-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove patches merged upstream.
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Wed, 11 Apr 2018 19:43:04 +0800

flameshot (0.5.1+git20180318-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove patches merged upstream.
  * Add patch to workaround upstream issue 166.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 20 Mar 2018 09:01:36 +0800

flameshot (0.5.1-3) unstable; urgency=medium

  * Backport upstream patch to allow tray icon customization.
  * Backport upstream patch to use single desktop file.
    Closes: #887466.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 05 Mar 2018 22:59:54 +0800
