=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: flameshot
 Section: graphics
 Priority: optional
-Maintainer: Boyuan Yang <073plan@gmail.com>
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.1.3
+ libqt5svg5-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/lupoDharkael/flameshot
 Vcs-Browser: https://salsa.debian.org/debian/flameshot
 Vcs-Git: https://salsa.debian.org/debian/flameshot.git
