=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,6 @@
 
 %:
 	dh $@
+
+override_dh_missing:
+	dh_missing --fail-missing
