## flameshot 0.6.0+git20190714

=== debian/changelog ===
flameshot (0.6.0+git20190714-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream snapshot (20190714).
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2019 12:31:44 -0400

flameshot (0.6.0+git20190514-1~exp1) experimental; urgency=medium

  * New upstream snapshot (20190514).
  * debian/patches: Drop all backported patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 May 2019 14:51:12 -0400

flameshot (0.6.0-11) unstable; urgency=medium

  * debian/patches: Drop some premature patches (for Russian
    translation).
  * debian/control: Explicitly depends on libqt5svg5 module. It
    seems that such dependency was not automatically derived
    by the buildsystem.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Feb 2019 11:00:57 -0500

flameshot (0.6.0-10) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2019-02-22.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Feb 2019 13:15:15 -0500
