=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
+ libqt5svg5-dev,
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
- libqt5svg5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/lupoDharkael/flameshot
 Vcs-Browser: https://salsa.debian.org/debian/flameshot
 Vcs-Git: https://salsa.debian.org/debian/flameshot.git
@@ -17,6 +17,7 @@
 Package: flameshot
 Architecture: any
 Depends:
+ libqt5svg5,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
