## flameshot 0.6.0+git20191001

=== debian/changelog ===
flameshot (0.6.0+git20191001-2) unstable; urgency=medium

  * debian/patches/pr: Cherry-pick upstream PR #678. 
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Mar 2020 13:29:02 -0500

flameshot (0.6.0+git20191001-1) unstable; urgency=medium

  * New upstream snapshot (20191001).
  * debian/control: Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Oct 2019 14:21:55 -0400
