=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  qtbase5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/lupoDharkael/flameshot
 Vcs-Browser: https://salsa.debian.org/debian/flameshot
 Vcs-Git: https://salsa.debian.org/debian/flameshot.git
