=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,13 @@
 
 export QT_SELECT := 5
 
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- "DEB_VERSION=$(DEB_VERSION)"
+
 override_dh_missing:
 	dh_missing --fail-missing
