=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flameshot-$1.tar.gz%" \
 https://github.com/lupoDharkael/flameshot/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
