## flameshot 0.6.1+rb2

=== debian/changelog ===
flameshot (0.6.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Jan 2021 17:18:08 +0800
