## flameshot 0.8.0

=== debian/changelog ===
flameshot (0.8.0-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Sep 2020 15:41:27 -0700

flameshot (0.8.0-2) unstable; urgency=medium

  * Backport upstream patches till 2020-09-21.
    + Fix visibility issue of circle counter tool with dark background.
    + Fix AppStream validation errors.
  * debian/copyright: Drop my name from copyright holder list.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Sep 2020 16:03:09 -0400

flameshot (0.8.0-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/control: Add dependency on hicolor-icon-theme for proper
    theme support.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Sep 2020 16:51:39 -0400

flameshot (0.8.0~git20200913-1) unstable; urgency=medium

  * New upstream beta release.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Sep 2020 19:46:54 -0400

flameshot (0.8.0~git20200907-1) unstable; urgency=medium

  * New upstream git snapshot.
    + Fix D-Bus invocation and "flameshot *" invocation problem.
  * debian/patches: Drop patches not merged in mainline for now.

 -- Boyuan Yang <byang@debian.org>  Mon, 07 Sep 2020 18:38:11 -0400

flameshot (0.8.0~git20200904-1) unstable; urgency=medium

  * New upstream git snapshot.
  * debian/control:
    + Switch to new upstream location.
    + Refresh build dependencies.
  * debian/patches: Refresh patches.
  * debian/copyright: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Sep 2020 20:52:18 -0400
