## flameshot 0.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # This can be read from ${PROJECT_NAME} after project() is called
 project(
   flameshot
-  VERSION 0.8.0
+  VERSION 0.8.3
   LANGUAGES CXX)
 set(PROJECT_NAME_CAPITALIZED "Flameshot")
 
@@ -25,6 +25,9 @@
 target_compile_features(project_options INTERFACE cxx_std_17)
 
 add_library(project_warnings INTERFACE)
+
+# enable cache system
+include(cmake/Cache.cmake)
 
 # standard compiler warnings
 include(cmake/CompilerWarnings.cmake)
