=== debian/changelog ===
flameshot (0.8.3-2) unstable; urgency=medium

  * Backport upstream fix on App theme.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Sep 2020 12:46:06 -0400

flameshot (0.8.3-1) unstable; urgency=medium

  * New upstream stable release. 

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Sep 2020 10:59:49 -0400

flameshot (0.8.1-1) unstable; urgency=medium

  * New upstream stable release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Sep 2020 21:43:54 -0400
