=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_cs.ts
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_de_DE.ts
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_es.ts
-    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_eu_ES.ts
+    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_eu.ts
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_fr.ts
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_hu.ts
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_it_IT.ts
@@ -67,7 +67,7 @@
           ${CMAKE_CURRENT_SOURCE_DIR}/../external/Qt-Color-Widgets/src/color_wheel.cpp
           ${CMAKE_CURRENT_SOURCE_DIR}/../external/Qt-Color-Widgets/include/color_wheel.hpp
           ${CMAKE_CURRENT_SOURCE_DIR}/../data/graphics.qrc
-          ${CMAKE_CURRENT_SOURCE_DIR}/../data/icon.rc # windows binary icon resource file
+          ${CMAKE_CURRENT_SOURCE_DIR}/../data/flameshot.rc # windows binary icon resource file
           ${QM_FILES}
           main.cpp)
 
@@ -130,6 +130,7 @@
     COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/${F_NAME}
             ${CMAKE_CURRENT_BINARY_DIR}/translations/${F_NAME})
 endforeach()
+
 # ######################################################################################################################
 # Installation instructions
 
@@ -143,16 +144,16 @@
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 # Install desktop files, completion and dbus files
-configure_file(${CMAKE_SOURCE_DIR}/docs/desktopEntry/package/flameshot.desktop
-               ${CMAKE_CURRENT_BINARY_DIR}/share/applications/flameshot.desktop COPYONLY)
-
-configure_file(${CMAKE_SOURCE_DIR}/docs/appdata/flameshot.metainfo.xml
-               ${CMAKE_CURRENT_BINARY_DIR}/share/metainfo/flameshot.metainfo.xml COPYONLY)
-
-configure_file(${CMAKE_SOURCE_DIR}/docs/shell-completion/flameshot
+configure_file(${CMAKE_SOURCE_DIR}/data/desktopEntry/package/org.flameshot.Flameshot.desktop
+               ${CMAKE_CURRENT_BINARY_DIR}/share/applications/org.flameshot.Flameshot.desktop COPYONLY)
+
+configure_file(${CMAKE_SOURCE_DIR}/data/appdata/org.flameshot.Flameshot.metainfo.xml
+               ${CMAKE_CURRENT_BINARY_DIR}/share/metainfo/org.flameshot.Flameshot.metainfo.xml COPYONLY)
+
+configure_file(${CMAKE_SOURCE_DIR}/data/shell-completion/flameshot
                ${CMAKE_CURRENT_BINARY_DIR}/share/bash-completion/completions/flameshot COPYONLY)
 
-configure_file(${CMAKE_SOURCE_DIR}/docs/shell-completion/flameshot
+configure_file(${CMAKE_SOURCE_DIR}/data/shell-completion/flameshot
                ${CMAKE_CURRENT_BINARY_DIR}/share/zsh/site-functions/_flameshot COPYONLY)
 
 configure_file(${CMAKE_SOURCE_DIR}/data/dbus/org.flameshot.Flameshot.xml
@@ -162,6 +163,16 @@
                ${CMAKE_CURRENT_BINARY_DIR}/share/dbus-1/services/org.flameshot.Flameshot.service)
 
 # Install Icons
+configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/48x48/apps/org.flameshot.Flameshot.png
+               ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/48x48/apps/org.flameshot.Flameshot.png COPYONLY)
+
+configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/128x128/apps/org.flameshot.Flameshot.png
+               ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/128x128/apps/org.flameshot.Flameshot.png COPYONLY)
+
+configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/scalable/apps/org.flameshot.Flameshot.svg
+               ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/scalable/apps/org.flameshot.Flameshot.svg COPYONLY)
+
+## Install icon with both names
 configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/48x48/apps/flameshot.png
                ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/48x48/apps/flameshot.png COPYONLY)
 
@@ -170,6 +181,7 @@
 
 configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/scalable/apps/flameshot.svg
                ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/scalable/apps/flameshot.svg COPYONLY)
+
 
 # Install assets
 install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/share/ DESTINATION ${CMAKE_INSTALL_DATAROOTDIR})
