=== src/config/CMakeLists.txt ===
--- 
+++ 
@@ -7,5 +7,6 @@
           filenameeditor.cpp
           geneneralconf.cpp
           strftimechooserwidget.cpp
+          styleoverride.cpp
           uicoloreditor.cpp
           visualseditor.cpp)
