=== debian/changelog ===
flameshot (0.8.5-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 07 Jul 2021 22:06:20 -0400

flameshot (0.8.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Oct 2020 18:58:45 -0400

flameshot (0.8.5-1) unstable; urgency=medium

  * New upstream stable release.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Oct 2020 22:37:39 -0400

flameshot (0.8.3-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Oct 2020 19:13:32 -0400

flameshot (0.8.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Sep 2020 15:37:36 -0400

flameshot (0.8.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Sep 2020 12:36:31 -0400

flameshot (0.8.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Sep 2020 17:05:24 -0400

flameshot (0.8.0~git20200907-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Sep 2020 19:42:46 -0400

flameshot (0.6.0+git20191001-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 May 2020 15:50:22 -0400

flameshot (0.6.0+git20191001-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Oct 2019 14:53:13 -0400

flameshot (0.6.0+git20190714-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Aug 2019 15:37:09 -0400
