=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 export QT_SELECT := 5
 
@@ -19,8 +19,5 @@
 %:
 	dh $@
 
-override_dh_auto_configure:
-	dh_auto_configure -- "DEB_VERSION=$(DEB_VERSION)"
-
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
