## flameshot 0.9.0%2Bds1

=== debian/changelog ===
flameshot (0.9.0+ds1-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/patches/0001: No longer hardcode version string.
  * debian/patches: Drop backport patches.
  * debian/copyright: Update copyright information.
  * debian/rules: Use system spdlog by default.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Feb 2021 17:58:44 -0500

flameshot (0.8.5-4) unstable; urgency=medium

  * Final build for Debian 11.
  * debian/patches/0004-KDE-Wayland-compat: Add proposed patch to
    improve compatibility with KDE using wayland.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Feb 2021 17:42:21 -0500

flameshot (0.8.5-3) unstable; urgency=medium

  * Final build for Debian 11.
  * debian/control: Update homepage information (flameshot.org).
  * debian/flameshot.1: Minor update to man page.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Feb 2021 22:07:54 -0500

flameshot (0.8.5-2) unstable; urgency=medium

  * Rebuild before Debian 11 release.
  * Bump Standards-Version to 4.5.1.
  * debian/patches:
    + Backport upstream fix for multi-monitor setup.
    + Backport proposed fix to fix command line help string.
      (Closes: #972720)

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Feb 2021 10:29:22 -0500
